/* product grid */

$product-col: 4;

.product_grid {
	@include clearfix;
	overflow: hidden;
	
	a.product {
		position: relative;
		top: 1px;
		float: left;
		display: block;
		margin: {
			top: 25px;
			bottom: 5px;
		}
		height: 330px;
		width: 99.99998% / $product-col;
		font-size: 14px;
		text-align: center;
		color: $black;
		
		&:after,
		&:before {
			content: '';
			display: block;
			position: absolute;
			background-color: darken($white, 18%);
		}
		
		&:after {
			right: 0;
			top: 9%;
			width: 1px;
			height: 82%;
		}
		
		&:before {
			right: 9%;
			bottom: -5px;
			width: 82%;
			height: 1px;
		}
		
		&:nth-child(#{$product-col}n+0):after {
			display: none;
		}
		
		span.product_popup {
			display: block;
			position: absolute;
			left: 15%;
			right: 15%;
			z-index: 5;
			top: 51px;
			border: 1px solid darken($white, 15%);
			padding: 10px 10%;
			width: 50%;
			background-color: rgba($white, .85);
			@include border-radius(4px);
			@include transition(opacity .333s linear);
			//@include shadow(2px 2px 5px 0 rgba($black, .5));
			
			opacity: 0;
		
			> span {
				display: block;
			}
		}
		
		.product_colors {
			span {
				display: inline-block;
				margin: 3px 1px 0 1px;
				border: 1px solid darken($white, 20%);
				width: 17px;
				height: 17px;
				@include border-radius(3px);
			}
		}
		
		.product_number {
			font-weight: bold;
		}
		
		.ribbon45 {
			display: block;
			position: absolute;
			right: -45px;
			top: 24px;
			z-index: 3;
			width: 196px;
			height: 47px;
			line-height: 47px;
			text-align: center;
			background: url('img/ribbon_45.png') center center no-repeat;
			overflow: hidden;
			color: $white;
			font: {
				size: 15px;
				weight: bold;
			}
			-webkit-transform: rotate(45eg);
			-ms-transform: rotate(45deg);
			transform: rotate(45deg);
		}
		
		.ribbon {
			display: block;
			position: absolute;
			left: 0;
			bottom: 65px;
			z-index: 3;
			width: 100%;
			margin-left: 0;
			height: 56px;
			line-height: 36px;
			text:  {
				align: center;
				transform: uppercase;
			}
			background: url('img/ribbon.png') center center no-repeat;
			overflow: hidden;
			color: $white;
			font: {
				size: 14px;
				weight: bold;
			}
		}
		
		&:hover .product_popup {
			opacity: 1;
		}
	}
	
	
	
	img {
		max-width: 100%;
		height: auto;
		@include transition (all .333s linear);
	}
	
	.product:hover img {
		//@include rotate(8);
	}
	
	strong {
		display: block;
		margin: {
			top: 6px;
			bottom: 6px;
		}
	}
}
